Conversation log — sessions, most recently active first.
curl --request GET \
--url https://api.pineyard.ai/chatbots/{id}/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/chatbots/{id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/chatbots/{id}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sessions": [
{
"id": "<string>",
"externalSessionId": "<string>",
"messageCount": 123,
"lastMessageAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}Chatbots
Conversation log — sessions, most recently active first.
GET
/
chatbots
/
{id}
/
sessions
Conversation log — sessions, most recently active first.
curl --request GET \
--url https://api.pineyard.ai/chatbots/{id}/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/chatbots/{id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/chatbots/{id}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sessions": [
{
"id": "<string>",
"externalSessionId": "<string>",
"messageCount": 123,
"lastMessageAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}Required scope:
chatbots.view
Requires chatbots enabled on your account. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0
